summaryrefslogtreecommitdiffstats
path: root/development/bluefish
diff options
context:
space:
mode:
Diffstat (limited to 'development/bluefish')
-rw-r--r--development/bluefish/README6
-rw-r--r--development/bluefish/bluefish.SlackBuild84
-rw-r--r--development/bluefish/bluefish.info8
-rw-r--r--development/bluefish/doinst.sh9
-rw-r--r--development/bluefish/slack-desc11
5 files changed, 118 insertions, 0 deletions
diff --git a/development/bluefish/README b/development/bluefish/README
new file mode 100644
index 0000000000..d1778ef236
--- /dev/null
+++ b/development/bluefish/README
@@ -0,0 +1,6 @@
+Bluefish is a powerful editor for experienced web designers
+and programmers. Bluefish supports many programming and markup
+languages, but it focuses on editing dynamic and interactive
+websites. See features for an extensive overview, take a look
+at the screenshots, or download it right away. Bluefish is an
+open source development project, released under the GPL licence.
diff --git a/development/bluefish/bluefish.SlackBuild b/development/bluefish/bluefish.SlackBuild
new file mode 100644
index 0000000000..a08c171a6b
--- /dev/null
+++ b/development/bluefish/bluefish.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for bluefish
+
+# Copyright 2006 Robby Workman (http://rlworkman.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=bluefish
+VERSION=1.0.7
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --without-libgnomeui \
+ --enable-gcc3-optimization=$ARCH \
+ --disable-update-databases \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+( cd $PKG/usr/man || exit
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/bluefish/bluefish.info b/development/bluefish/bluefish.info
new file mode 100644
index 0000000000..4dea1b5af0
--- /dev/null
+++ b/development/bluefish/bluefish.info
@@ -0,0 +1,8 @@
+PRGNAM="bluefish"
+VERSION="1.0.7"
+HOMEPAGE="http://bluefish.openoffice.nl/index.html"
+DOWNLOAD="http://www.bennewitz.com/bluefish/stable/source/bluefish-1.0.7.tar.bz2"
+MD5SUM="2c3b3c9c8f8e32b9473dfd879f216dea"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="robw810"
diff --git a/development/bluefish/doinst.sh b/development/bluefish/doinst.sh
new file mode 100644
index 0000000000..7f257cf9de
--- /dev/null
+++ b/development/bluefish/doinst.sh
@@ -0,0 +1,9 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x usr/bin/update-mime-database ]; then
+ ./usr/bin/update-mime-database ./usr/share/mime >/dev/null 2>&1
+fi
+
diff --git a/development/bluefish/slack-desc b/development/bluefish/slack-desc
new file mode 100644
index 0000000000..8d4b2e3605
--- /dev/null
+++ b/development/bluefish/slack-desc
@@ -0,0 +1,11 @@
+bluefish: Bluefish GTK-based HTML Editor
+bluefish:
+bluefish: Bluefish is a powerful editor for experienced web designers
+bluefish: and programmers. Bluefish supports many programming and markup
+bluefish: languages, but it focuses on editing dynamic and interactive
+bluefish: websites. See features for an extensive overview, take a look
+bluefish: at the screenshots, or download it right away. Bluefish is an
+bluefish: open source development project, released under the GPL licence.
+bluefish:
+bluefish: Homepage: http://bluefish.openoffice.nl/index.html
+bluefish: